Bug 4436 - Нужно пересобрать
: Нужно пересобрать
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sim)
: unstable
: all Linux
: P1 critical
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-06-18 22:13 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-18 22:13:00
sim-0.9.4-alt2.1.i586.rpm 
sudo apt-get install sim 
Следующие пакеты имеют неудовлетворенные зависимости: 
  sim: Требует: kdelibs-gcc_compiled (= 3.3) но пакет не может быть установлен
------- Comment #1 From 2004-07-03 20:49:59 -------
KDE выдержало уже 4 пересборки, а воз и ныне там.
------- Comment #2 From 2004-07-21 14:48:19 -------
Забираю
------- Comment #3 From 2004-07-21 15:02:28 -------
0.9.4-alt3
------- Comment #4 From 2004-08-02 18:53:24 -------
Нет зависимостей на gcc-c++
Buildreq предложено.
------- Comment #5 From 2004-08-02 18:55:53 -------
Пофиксить баги нужно до 4-го августа, иначе пакет не попадет в ALM2.4
------- Comment #6 From 2004-08-02 19:18:43 -------
Блин, я ж его прописывал???
Ладно, alt4.1.
------- Comment #7 From 2004-08-04 16:47:41 -------
sim-0.9.4-alt5.src.rpm
не собирается по той-же причине
я писал в http://lists.altlinux.ru/pipermail/sisyphus/2004-August/044681.html
что делать!
90% что пакет не попадает в ALM2.4
------- Comment #8 From 2004-08-04 18:34:03 -------
Бред. BuildPreReq: gcc-c++ проставлен.
------- Comment #9 From 2004-08-06 20:54:39 -------
Fixed in sim-0.9.4-alt6.src.rpm
Результат поставил, работает.
Ваша ошибка была в том, что раздел BuildPreReq относящийся ко всем пакетам,
вообще не зачитывался сборочной средой. Не знаю, как там это у вас вообще
собиралось.
------- Comment #10 From 2004-08-06 21:32:00 -------
(In reply to comment #9)
> Ваша ошибка была в том, что раздел BuildPreReq относящийся ко всем пакетам,
> вообще не зачитывался сборочной средой. 
Вышлите спек, а?
Я вообще-то 15 минут назад обнаружил, что проблема в том, что после %%
description нельзя писать никакие поля, иначе они будут считаться частью 
дескрипшена.

> Не знаю, как там это у вас вообще собиралось.
Главная проблема в отсутствии у меня хэшера.
------- Comment #11 From 2005-04-20 22:19:29 -------
Вроде всё нормально